Skip to main content
GET
Get Agent

Authorizations

X-API-KEY
string
header
required

Your API key for authentication.

x-org-id
string
header
required

Org impersonation via x-org-id. Superadmins may impersonate any org; admins may impersonate their direct sub-organizations. Enter the target organization ID to act as that org.

Path Parameters

agent_id
string
required
Required string length: 24

Response

Successful Response

name
string | null
type
enum<string>
default:primary

primary (default) or listen-only helper

Available options:
primary,
helper
language
enum<string>
default:en

Language codes that are supported by Eqho Agents.

Available options:
multi,
bg,
ca,
cs,
da,
da-DK,
de,
de-CH,
el,
en,
en-US,
en-AU,
en-GB,
en-NZ,
en-IN,
es,
et,
fi,
fr,
fr-CA,
hi,
hu,
id,
it,
ja,
lt,
lv,
no,
nl,
pl,
pt,
pt-BR,
pt-PT,
ro,
ru,
sk,
th,
th-TH,
tr,
uk,
vi,
zh,
zh-CN,
zh-TW,
zh-HK
description
string | null
avatar
string | null
voice_audio_id
string | null
role_ids
string[] | null
action_ids
string[] | null
action_flows
string[][] | null
script_id
string | null
deprecated

Deprecated. Use script_ids instead.

script_ids
string[] | null
knowledge_base_ids
string[] | null
kb_strict_mode
boolean | null

When set, the agent only answers from knowledge base content

personality
PersonalityModel · object | null

Describes the personality of an agent. These values will be injected into the agent's prompt. LLM might use them to adjust the agent's responses.

disable_greeting
boolean | null
deprecated

Deprecated. This field is no longer recommended for use and will be removed in future versions. Use greeting_type with value 'none' instead.

rag_collection
string | null
system_prompt
EmbeddedSystemPromptModel · object | null
enable_parallel_tool_calls
boolean | null
default:false
end_conversation_on_goodbye
boolean | null
enable_user_idle_timeout
boolean | null
default:false
max_concurrent_background_actions
integer
default:5
ai_settings
AiSettingsModel · object | null

Settings for the Agent's LLM model.

tts_settings
TTSSettings · object | null
stt_settings
SttSettingsModel · object | null

Per-agent STT provider config. Absent -> Deepgram defaults (legacy tts_settings still apply). Consumed by the agent runtime config service.

voice_settings
VoiceSettingsModel · object | null
noise_cancellation
AgentNoiseCancellation · object | null
background_audio
AgentBackgroundAudio · object | null
amd
AgentAMD · object | null
user_idle
AgentUserIdle · object | null
endpointing
AgentEndpointing · object | null
greeting_type_inbound
enum<string> | null
default:static
Available options:
static,
ai,
none
greeting_type_outbound
enum<string> | null
default:static
Available options:
static,
ai,
none
structured_greetings
StructuredGreetingModel · object[] | null
greetings
string[] | null
deprecated

Deprecated. Use structured_greetings instead.

alias
string | null
smart_turn_detection
boolean | null
default:false
feature_flags
string[] | null
Example:

"CHAT_HISTORY"

id
string | null
account_id
string | null
enabled
boolean | null
default:true
history
HistoryModel · object | null
source
AgentSourceModel · object | null

Tracks the source agent this was imported from.